Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# SetRandomNumberSeedStruct Struct Reference

Synchronized Random Number Timestamp automatically used for this type of packet. More...

`#include <NetworkTypes.h>`

List of all members.

## Public Attributes
unsigned char | ts
unsigned long | timeStamp
unsigned char | typeId
unsigned long | seed
unsigned long | nextSeed

## Detailed Description

Synchronized Random Number Timestamp automatically used for this type of packet.

## Member Data Documentation

unsigned long SetRandomNumberSeedStruct::nextSeed

| NextSeed value

unsigned long SetRandomNumberSeedStruct::seed

| Seed value

unsigned long SetRandomNumberSeedStruct::timeStamp

| Timestamp value

unsigned char SetRandomNumberSeedStruct::ts

| ID_TIMESTAMP

unsigned char SetRandomNumberSeedStruct::typeId

| ID_SET_RANDOM_NUMBER_SEED

The documentation for this struct was generated from the following file:

- Projects/raknet/include/raknet/NetworkTypes.h